Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesAlgorithm.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesAlgorithm.cs	(revision 14711)
@@ -36,5 +36,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Item("Gradient Boosted Trees (GBT)", "Gradient boosted trees algorithm. Friedman, J. \"Greedy Function Approximation: A Gradient Boosting Machine\", IMS 1999 Reitz Lecture.")]
-  [StorableClass("DA2F5BB9-19F3-42E8-A5D2-1CAAE12D1B6C")]
+  [StorableType("DA2F5BB9-19F3-42E8-A5D2-1CAAE12D1B6C")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 125)]
   public class GradientBoostedTreesAlgorithm : BasicAlgorithm {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModel.cs	(revision 14711)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass("37C2B67D-B2A9-42CC-880B-AD5F61104FDD")]
+  [StorableType("37C2B67D-B2A9-42CC-880B-AD5F61104FDD")]
   [Item("Gradient boosted tree model", "")]
   // this is essentially a collection of weighted regression models
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModelSurrogate.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModelSurrogate.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesModelSurrogate.cs	(revision 14711)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass("ECCC9F9F-E3B5-4D16-AB7F-B1221A5F7033")]
+  [StorableType("ECCC9F9F-E3B5-4D16-AB7F-B1221A5F7033")]
   // this class is used as a surrogate for persistence of an actual GBT model 
   // since the actual GBT model would be very large when persisted we only store all necessary information to
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/GradientBoostedTreesSolution.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass("B99E81E5-DC80-4552-8B40-0089662FFFEB")]
+  [StorableType("B99E81E5-DC80-4552-8B40-0089662FFFEB")]
   public sealed class GradientBoostedTreesSolution : RegressionSolution {
     public new IGradientBoostedTreesModel Model {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/AbsoluteErrorLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/AbsoluteErrorLoss.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/AbsoluteErrorLoss.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   // loss function for the weighted absolute error
-  [StorableClass("CDF5C3F1-0577-48FD-BA73-050231ADB015")]
+  [StorableType("CDF5C3F1-0577-48FD-BA73-050231ADB015")]
   [Item("Absolute error loss", "")]
   public sealed class AbsoluteErrorLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/LogisticRegressionLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/LogisticRegressionLoss.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/LogisticRegressionLoss.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   // Greedy Function Approximation: A Gradient Boosting Machine (page 9) 
-  [StorableClass("89E2D6B3-2BDE-4FF2-98B5-236F4C3B3F69")]
+  [StorableType("89E2D6B3-2BDE-4FF2-98B5-236F4C3B3F69")]
   [Item("Logistic regression loss", "")]
   public sealed class LogisticRegressionLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/QuantileRegressionLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/QuantileRegressionLoss.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/QuantileRegressionLoss.cs	(revision 14711)
@@ -32,5 +32,5 @@
   // loss function for quantile regression
   // Generalized Boosted Models - A Guide To The gbm Package, Greg Ridgeway, August 2007, page 11 
-  [StorableClass("1D8A2DAE-4A77-4A37-8C03-7980A26B5E8B")]
+  [StorableType("1D8A2DAE-4A77-4A37-8C03-7980A26B5E8B")]
   [Item("QuantileRegressionloss", "Loss function for quantile regression")]
   public sealed class QuantileRegressionLoss : ParameterizedNamedItem, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/RelativeErrorLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/RelativeErrorLoss.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/RelativeErrorLoss.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.DataAnalysis {
   // relative error loss is a special case of weighted absolute error loss with weights = (1/target)
-  [StorableClass("6C2C8370-D504-4CD0-8157-33024C0EC144")]
+  [StorableType("6C2C8370-D504-4CD0-8157-33024C0EC144")]
   [Item("Relative error loss", "")]
   public sealed class RelativeErrorLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/SquaredErrorLoss.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/SquaredErrorLoss.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/LossFunctions/SquaredErrorLoss.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass("780DF644-DAD4-4A05-8C8D-9807628C72CB")]
+  [StorableType("780DF644-DAD4-4A05-8C8D-9807628C72CB")]
   [Item("Squared error loss", "")]
   public sealed class SquaredErrorLoss : Item, ILossFunction {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/RegressionTreeModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/RegressionTreeModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/GradientBoostedTrees/RegressionTreeModel.cs	(revision 14711)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
-  [StorableClass("2B90568C-D6C1-48EE-86F4-62389FB60E0F")]
+  [StorableType("2B90568C-D6C1-48EE-86F4-62389FB60E0F")]
   [Item("RegressionTreeModel", "Represents a decision tree for regression.")]
   public sealed class RegressionTreeModel : NamedItem, IRegressionModel {
